boxplot.FCS {rflowcyt} | R Documentation

## Create boxplots one parameter of one (or more) FCS object(s)

### Description

Produce box-and-whisker plot(s) of a single column variable specified from the data of one (or more) FCS object(s).

### Usage

    boxplot.FCS(x, varpos=c(1),...)

### Arguments

`x` | a list of one (or more) FCS object(s) or a cytoSet object
`varpos` | the numerical column variable position of the data of the FCS object
`...` | any other arguments are passed to the `boxplot` function

### Details

If several FCS objects are supplied parallel boxplots will be plotted. Other options from the functions `plot`, `boxplot`.

### Value

The `boxplot` will output a list with the following components:

`stats` |
`n` |
`conf` |
`out` |
`group` |
`names` |

a vector of names for the groups

### Author(s)

N. Le Meur

### See Also

`boxplot`, `boxplot.stats`

### Examples

     ## Example I:
     require(rfcdmin)
     data(flowcyt.data)

     ## Draw a boxplot for the Foward SCatter parameter for the time points 1
     ## and 6 (in this experiment, each time point corresponds to a column of
     ## a 96 wells plates)
     mat <- matrix(c(1:2),1,2,byrow=TRUE)
     nf <- layout(mat,respect=TRUE)
     boxplot.FCS(flowcyt.data[1:8],varpos=c(1),col=c(1:8),main="FSC across stains time point 1",names=paste("stain",c(1:8),sep=""))
     boxplot.FCS(flowcyt.data[65:72],varpos=c(1),col=c(1:8),main="FSC across stains time point 9",names=paste("stain",c(1:8),sep=""))

     ##Example II:
     ## Read a serie of FCS files
     if (require(rfcdmin)) {

     ##obtaining the location of the fcs files in the data
      pathFiles<-system.file("bccrc", package="rfcdmin")
      drugFiles<-dir(pathFiles)

     ## reading in the FCS files
      drugData<-read.series.FCS(drugFiles,path=pathFiles,MY.DEBUG=FALSE)
      }

     ##Draw a boxplot for the Foward SCatter parameter
     ##for the differents aliquots (of the same cell line)
     ##tested with different compounds.
     boxplot.FCS(drugData,varpos=c(1),col=c(1:8),main="FSC of differents aliquots from the same cell line treated with different compounds.")

[Package rflowcyt version 1.4.0 Index]